Subject: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Fri, 30 Sep 2022 17:43:01 +0200

It doesn't flicker... but it doesn't seem to change the locale either...
I tried

(message

 (with-locale-environment "es_ES.utf8"

   (format-time-string ";; %a, %d %b %Y %H:%m:%S %z")))

and

(message

 (with-locale-environment "C"

   (format-time-string ";; %a, %d %b %Y %H:%m:%S %z")))

And in both cases I get the "C" locale :(
Before the strings were correctly generated

Thanks for the patience, /PA

On Fri, 30 Sept 2022 at 16:14, Lars Ingebrigtsen <[email-masked]> wrote:

> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>
> > Include the following code in *scratch*
> >
> > (with-locale-environment "C"
> >   (insert (format-time-string ";; %a, %d %b %Y %H:%m:%S %z")))
> >
> > Evaluate with C-c C-e and experience a screen flicker
>
> I think I've now fixed this -- can you test?  (I don't see the flicker
> myself.)
>

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet